Loading...
Searching...
No Matches
casacore::MeasRef< Ms >::RefRep Class Reference

Representation class. More...

## Public Member Functions

| RefRep ()=default
| Constructor Warning: Next one must be in-line for (some?) compilers .

## Public Attributes

Ms::Types | type
| The actual data.
std::unique_ptr< Measure > | offmp
| Pointer to main Measure, defining an offset.
MeasFrame | frame
| Reference frame.

## Detailed Description

template<class Ms>
class casacore::MeasRef< Ms >::RefRep

Representation class.

Definition at line 176 of file MeasRef.h.

## Constructor & Destructor Documentation

## RefRep()

template<class Ms>

casacore::MeasRef< Ms >::RefRep::RefRep | ( |  | ) |

default

Constructor
Warning: Next one must be in-line for (some?) compilers
.

## Member Data Documentation

## frame

template<class Ms>

MeasFrame casacore::MeasRef< Ms >::RefRep::frame

Reference frame.

Definition at line 188 of file MeasRef.h.

## offmp

template<class Ms>

std::unique_ptr<Measure> casacore::MeasRef< Ms >::RefRep::offmp

Pointer to main Measure, defining an offset.

Definition at line 186 of file MeasRef.h.

## type

template<class Ms>

Ms::Types casacore::MeasRef< Ms >::RefRep::type

The actual data.

Type of reference

Definition at line 184 of file MeasRef.h.

The documentation for this class was generated from the following file:

- measures/Measures/MeasRef.h